#!/usr/bin/make -f

export PYBUILD_NAME=patool

%:
	dh $@ --with python3,bash-completion --buildsystem=pybuild

override_dh_auto_build:
# force usage of setup.py over Makefile
	dh_auto_build

override_dh_clean:
	rm -rf _patool_configdata.py
	dh_clean

# do not run test suite when building
override_dh_auto_test:

override_dh_installchangelogs:
# install custom changelog
	dh_installchangelogs doc/changelog.txt

override_dh_install:
	dh_install
